Bug 1743481 - [RFE] Content-View filtering not working as expected
Summary: [RFE] Content-View filtering not working as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.6.0
Hardware: All
OS: All
medium
medium
Target Milestone: 6.7.0
Assignee: John Mitsch
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 05:44 UTC by maneesh verma
Modified: 2020-04-14 13:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:25:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27738 High Closed Content-View filtering not working as expected 2020-11-24 15:53:29 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:27 UTC

Comment 5 John Mitsch 2019-08-26 18:03:16 UTC
Hey maneesh,

For the instance you shared, I see the filter is:

name: goferd
arch: x86_64
version: All Versions

but the goferd in the Content View is

name: gofer
arch: noarch
version: 2.12.5

This won't match the content view filter since the arch would have to be 'x86_64' to match, but it is 'noarch' (which is considered its own arch in this case) in the filter. This isn't new behavior, as far as I remember the filtering has worked this way. Though things could be improved to communicate this behavior

I think we could improve things in the UI. A few ideas I have are:
- Add the ability to filter all architectures
- Better autocomplete (only show the matching arch for packages matching the name)
- Have some indicator or message if the filter does/doesn't match a package in the repository

Hope this helps! Let me know if I am misunderstanding your concerns, but I don't think this is a blocker.

Comment 9 John Mitsch 2019-08-29 19:04:10 UTC
Created redmine issue https://projects.theforeman.org/issues/27738 from this bug

Comment 10 Bryan Kearney 2019-08-29 20:07:11 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 11 Bryan Kearney 2019-08-29 20:07:12 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 12 John Mitsch 2019-09-03 14:23:26 UTC
The filters are working as intended as Neha has mentioned, so I don't think there is a bug or regression here. However, I have seen some confusion in this area from users and even experienced it myself trying to use the filters. 

I made a pull request to propose adding a "Show Matching Content" button to the filter that will display the filter's matching content in the Content View, so one can see what content the filter will exclude or include before the Content View is published. This may help to clear up the confusion.

This BZ will update if the PR is accepted and merged

Comment 16 Bryan Kearney 2019-10-21 14:07:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27738 has been resolved.

Comment 18 Lai 2020-01-07 20:17:39 UTC
Steps to test

1. Create custom product and custom repos (I used the animal repo)
2. Sync repo
3. Created content view and add the custom repo and publish
4. yum content -> Filters -> New Filters
5. Choose Content Type: Package, Inclusion Type can be "Include" or "Exclude" and save.
6. Add Rule and type in "Walrus" for RPM name and click save
7. Click "Show Matching Content"

Expected:
After step 6, "show matching content" button should appear.  On step 7, there should be a table that shows the matching RPM.

Actual:
After step 6, "Show Matching Content" button appears.  On step 7, a tale is brought up that show matching walrus RPM.

Tested on 6.7.0_07

Marking issue as verified.

Comment 21 errata-xmlrpc 2020-04-14 13:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.